Summary:        Dallas Semiconductor 1-wire device reading console application
Name:           digitemp
Version:        3.7.2
Release:    2%{?dist}
License:        GPL-2.0-or-later
URL:            https://www.digitemp.com/
Source0:        https://github.com/bcl/digitemp/archive/v%{version}/%{name}-%{version}.tar.gz
Source1:        dthowto.txt
Source2:        DS9097_Schematic.gif
BuildRequires:  gcc
%if 0%{!?_without_libusb:1}
BuildRequires:  libusb-devel
%endif
BuildRequires:  make

%description
DigiTemp is a simple to use console application for reading values from
Dallas Semiconductor 1-wire devices. Its main use is for reading temperature
sensors, but it also reads counters and understands the 1-wire hubs with
devices on different branches of the network. DigiTemp now supports the
following 1-wire temperature sensors: DS18S20 (and DS1820), DS18B20, DS1822,
the DS2438 Smart Battery Monitor, DS2422 and DS2423 Counters, DS2409
MicroLAN Coupler (used in 1-wire hubs) and the AAG TAI-8540 humidity sensor.

%prep
%setup -q
cp -pf %{SOURCE1} %{SOURCE2} .

%build
export CFLAGS="$RPM_OPT_FLAGS -fPIE -DPIC"
%make_build ds9097
%make_build clean
%make_build ds9097u
%if 0%{!?_without_libusb:1}
%make_build clean
%make_build ds2490
%endif

%install
install -D -p -m 0755 %{name}_DS9097 %{buildroot}%{_bindir}/%{name}_DS9097
install -D -p -m 0755 %{name}_DS9097U %{buildroot}%{_bindir}/%{name}_DS9097U
%if 0%{!?_without_libusb:1}
install -D -p -m 0755 %{name}_DS2490 %{buildroot}%{_bindir}/%{name}_DS2490
%endif
install -D -p -m 0644 %{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1

iconv -f iso-8859-1 -t utf-8 -o ChangeLog.utf8 ChangeLog
touch -c -r ChangeLog ChangeLog.utf8; mv -f ChangeLog.utf8 ChangeLog

%files
%license COPYING COPYRIGHT
%doc ChangeLog CREDITS FAQ README TODO
%doc dthowto.txt DS9097_Schematic.gif
%{_bindir}/%{name}*
%{_mandir}/man1/%{name}.1*

%changelog
* Tue May 07 2024 Fanjun Kong <fanjunkong@tencent.com> - 3.7.2-2
- epol debrand

* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.7.2-1
- initial build
